org.eclipse.jdt.junit.wizards

## Enum NewTestCaseWizardPageOne.JUnitVersion

- java.lang.Object
- - java.lang.Enum<NewTestCaseWizardPageOne.JUnitVersion>
  - - org.eclipse.jdt.junit.wizards.NewTestCaseWizardPageOne.JUnitVersion

All Implemented Interfaces:
  Serializable, Comparable<NewTestCaseWizardPageOne.JUnitVersion>

Enclosing class:
  NewTestCaseWizardPageOne

    public static enum NewTestCaseWizardPageOne.JUnitVersion
    extends Enum<NewTestCaseWizardPageOne.JUnitVersion>

Available JUnit versions.

Since:
  3.11

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`VERSION_3`
`VERSION_4`
`VERSION_5`

### Method Summary

All Methods Static Methods Concrete Methods
`static NewTestCaseWizardPageOne.JUnitVersion` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static NewTestCaseWizardPageOne.JUnitVersion[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### VERSION_3

    public static final NewTestCaseWizardPageOne.JUnitVersion VERSION_3

#### VERSION_4

    public static final NewTestCaseWizardPageOne.JUnitVersion VERSION_4

#### VERSION_5

    public static final NewTestCaseWizardPageOne.JUnitVersion VERSION_5

### Method Detail

#### values

    public static NewTestCaseWizardPageOne.JUnitVersion[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (NewTestCaseWizardPageOne.JUnitVersion c : NewTestCaseWizardPageOne.JUnitVersion.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static NewTestCaseWizardPageOne.JUnitVersion valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null